Description

One thing that can confuse a new user is the huge growth that happens to the answers file after running the installer.

Impressive though the installer is, it might be an idea to package a default.answers file just to illustrate what the answers file will look

like after a default run.  Users can then diff their own file against this to see what is different from the default set.

History

#1 - 10/24/2013 10:33 AM - Duncan Innes

Just to clarify - this should be a fully expanded default.answers file.

#2 - 10/24/2013 10:33 AM - Duncan Innes

Also meant this to be a feature rather than a bug.

#3 - 10/24/2013 10:35 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Category set to foreman-installer script

#4 - 10/24/2013 11:03 AM - Marek Hulán

I think it's not a good idea. Some parameter values may vary on different systems. I don't say there is such at the moment but once they appear it's

easy to forget. When values are stored in answer file they don't adapt anymore. What we can do is to provide some example files (for various

systems if needed).

#5 - 10/24/2013 11:15 AM - Duncan Innes

Example answers files for various deployment types would also be a great idea.

Anything where the user can see the possible default values is better than nothing.  Having experienced this myself and seen other SysAdmins

confused at the answers file after running the installer, I think it's a problem that could do with a solution.  Whether this is the right way to solve it -

don't know.  Is a default answers file not an extension of the example files, expanded to show all the defaults?

#6 - 05/18/2017 06:53 PM - Anonymous

- Status changed from New to Resolved

The original request is IMHO not fulfilable, the other is covered by installer scenarios now.
